#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"
#include "config.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

void Trapper::Initialize(){
    READFROMCONFIG(Trapper,TRAPPER);
    Trapper::idle_n=WARRIOR_IDLE_N;
    Trapper::idle_e=WARRIOR_IDLE_E;
    Trapper::idle_s=WARRIOR_IDLE_S;
    Trapper::idle_w=WARRIOR_IDLE_W;
    Trapper::walk_n=WARRIOR_WALK_N;
    Trapper::walk_e=WARRIOR_WALK_E;
    Trapper::walk_s=WARRIOR_WALK_S;
    Trapper::walk_w=WARRIOR_WALK_W;
}

SETUP_CLASS(Trapper)

void Trapper::OnUpdate(float fElapsedTime){

}

bool Trapper::AutoAttack(){
    return false;
}
void Trapper::InitializeClassAbilities(){
    #pragma region Trapper Right-click Ability (???)
        Trapper::rightClickAbility.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Trapper Ability 1 (???)
        Trapper::ability1.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Trapper Ability 2 (???)
        Trapper::ability2.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Trapper Ability 3 (???)
        Trapper::ability3.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
}